<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="styles/style.css">
    <title>Profil</title>
</head>
<body>
<?php
echo "<h1>Bonjour {$_SESSION["login"]}<br></h1>";
?>

<a href="index.php?action=accueil" class='login-button'>Retour à l'accueil</a>

<h2>Vos informations</h2>

<?php
if ($user) {
    echo "
    <form action='index.php?action=modify_user' method='POST'>
        <label for='login'>Changer de login :</label>
        <input type='text' name='login' value='" . $user->getLogin() . "' required>
        <label for='mdp'>Changer de mot de passe :</label>
        <input type='hidden' name='id_user' value='" . $user->getId() . "'>
        <input type='password' name='mdp' required>
        
        <input type='submit' value='Mettre à jour'>
    </form>
    ";
    if (isset($_GET ["valid_mod"])){
        echo"<p>Vos informations ont bien été modifiés</p>
        <a href='index.php?action=profil'>Masquer le message</a>";
    }
}
?>

<h2>Vos commentaires</h2>

<?php
if (!empty($coms)) {
    echo "
    <div class='comments-section'>";
    
    foreach ($coms as $commentaire) {
        echo "
        <form action='index.php?action=modify_com' method='POST'>
            <h2>Post parent : " . $commentaire->getBillet()->getTitre() . " / id : " . $commentaire->getBillet()->getId() . "</h2>
            <div class='com'>
                <h3>Contenu :</h3>
                <textarea name='contenu' rows='5' cols='50' required>" . $commentaire->getContenu() . "</textarea>
                <input type='hidden' name='id_com' value='" . $commentaire->getId() . "'>
                <input type='submit' value='Modifier le commentaire'>
                <a href='index.php?action=supr_com_profil&id={$commentaire->getId()}' class='logout-button'>Surpimer le commentaire</a>
            </div>
        </form>
        ";
        if (isset($_GET ["valid_mod_com"])){
            echo"<p>Votre commentaire a bien été modifié</p>
            <a href='index.php?action=profil'>Masquer le message</a>";
        }
    }
    echo "</div>";
} else {
    echo "<p>Aucun commentaire pour cet Utilisateur.</p>";
}        
?>
</body>
</html>
